milssky
@milssky
Координатор племени фиолетовых обезьянок

Почему не запускается отладочный сервер Django?

Создал новый проект django в новом виртуальном окружении, пытаюсь запустить отладочный сервер
python manage.py runserver
и получаю вот такое:
Traceback

raceback (most recent call last):
  File "d:\python\123\envv\lib\site-packages\django\core\management\base.py", line 323, in run_from_argv
    self.execute(*args, **cmd_options)
  File "d:\python\123\envv\lib\site-packages\django\core\management\commands\runserver.py", line 60, in execute
    super().execute(*args, **options)
  File "d:\python\123\envv\lib\site-packages\django\core\management\base.py", line 364, in execute
    output = self.handle(*args, **options)
  File "d:\python\123\envv\lib\site-packages\django\core\management\commands\runserver.py", line 67, in handle
    if not settings.DEBUG and not settings.ALLOWED_HOSTS:
  File "d:\python\123\envv\lib\site-packages\django\conf\__init__.py", line 79, in __getattr__
    self._setup(name)
  File "d:\python\123\envv\lib\site-packages\django\conf\__init__.py", line 66, in _setup
    self._wrapped = Settings(settings_module)
  File "d:\python\123\envv\lib\site-packages\django\conf\__init__.py", line 157, in __init__
    mod = importlib.import_module(self.SETTINGS_MODULE)
  File "c:\Users\milssky\AppData\Local\Programs\Python\Python37-32\lib\importlib\__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1006, in _gcd_import
  File "<frozen importlib._bootstrap>", line 983, in _find_and_load
  File "<frozen importlib._bootstrap>", line 953, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "<frozen importlib._bootstrap>", line 1006, in _gcd_import
  File "<frozen importlib._bootstrap>", line 983, in _find_and_load
  File "<frozen importlib._bootstrap>", line 965, in _find_and_load_unlocked
ModuleNotFoundError: No module named 'testtinymce'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "manage.py", line 21, in <module>
    main()
  File "manage.py", line 17, in main
    execute_from_command_line(sys.argv)
  File "d:\python\123\envv\lib\site-packages\django\core\management\__init__.py", line 381, in execute_from_command_line
    utility.execute()
  File "d:\python\123\envv\lib\site-packages\django\core\management\__init__.py", line 375, in execute
    self.fetch_command(subcommand).run_from_argv(self.argv)
  File "d:\python\123\envv\lib\site-packages\django\core\management\base.py", line 336, in run_from_argv
    connections.close_all()
  File "d:\python\123\envv\lib\site-packages\django\db\utils.py", line 219, in close_all
    for alias in self:
  File "d:\python\123\envv\lib\site-packages\django\db\utils.py", line 213, in __iter__
    return iter(self.databases)
  File "d:\python\123\envv\lib\site-packages\django\utils\functional.py", line 80, in __get__
    res = instance.__dict__[self.name] = self.func(instance)
  File "d:\python\123\envv\lib\site-packages\django\db\utils.py", line 147, in databases
    self._databases = settings.DATABASES
  File "d:\python\123\envv\lib\site-packages\django\conf\__init__.py", line 79, in __getattr__
    self._setup(name)
  File "d:\python\123\envv\lib\site-packages\django\conf\__init__.py", line 66, in _setup
    self._wrapped = Settings(settings_module)
  File "d:\python\123\envv\lib\site-packages\django\conf\__init__.py", line 157, in __init__
    mod = importlib.import_module(self.SETTINGS_MODULE)
  File "c:\Users\milssky\AppData\Local\Programs\Python\Python37-32\lib\importlib\__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1006, in _gcd_import
  File "<frozen importlib._bootstrap>", line 983, in _find_and_load
  File "<frozen importlib._bootstrap>", line 953, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "<frozen importlib._bootstrap>", line 1006, in _gcd_import
  File "<frozen importlib._bootstrap>", line 983, in _find_and_load
  File "<frozen importlib._bootstrap>", line 965, in _find_and_load_unlocked
ModuleNotFoundError: No module named 'testtinymce'


Ругается на отсутствие модуля testtinymce, такое никогда не устанавливал. Ради интереса переустановил python, удалил кэш pipa, попробовал создать проект джанго заново. Никаких изменений. Что это и как пофиксить?
  • Вопрос задан
  • 84 просмотра
Решения вопроса 1
milssky
@milssky Автор вопроса
Координатор племени фиолетовых обезьянок
Нашел все же, в чем было дело. В реестре лежал ключ DJANGO.Setting, который указывал на файл настроек приложения testtinymce. Ключ удалил, все заработало.
Ответ написан
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы